Retrieve the list of directly-attachable networks with subnet details. Returned entities may or may not be owned by the project.
Deprecated: Use GET /v1/networks/{project_id}/{region_id}?owned_by=any instead.
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Project ID
1
Region ID
1
Filter by external network status
true
Optional. Limit the number of returned items
x <= 10001000
Filter networks by name
61"my-network"
Optional. Can be used to only show subnets of the specific network
"123e4567-e89b-12d3-a456-426614174000"
Filter by network type (vlan or vxlan)
vlan, vxlan "vlan"
Optional. Offset value is used to exclude the first set of records from the result
x >= 00
Ordering networks list result by name, created_at or priority fields and directions (e.g. created_at.desc).
created_at.asc, created_at.desc, name.asc, name.desc, priority.desc "created_at.desc"
Filter by shared state
true
Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2
Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
1 - 255^[^\s=]+$["key1", "key2"]Optional. Filter by tag key-value pairs.
{ "key": "value" }